<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Hacknet](./bitburner.hacknet.md) &gt; [upgradeCache](./bitburner.hacknet.upgradecache.md)

## Hacknet.upgradeCache() method

Upgrade the cache of a hacknet node.

**Signature:**

```typescript
upgradeCache(index: number, n?: number): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

index


</td><td>

number


</td><td>

Index/Identifier of Hacknet Node.


</td></tr>
<tr><td>

n


</td><td>

number


</td><td>

_(Optional)_ Number of cache levels to purchase. Must be positive. Will be rounded to the nearest integer. Defaults to 1 if not specified.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the Hacknet Node’s cache level is successfully upgraded, false otherwise.

## Remarks

RAM cost: 0.5 GB

This function is only applicable for Hacknet Servers (the upgraded version of a Hacknet Node).

Tries to upgrade the specified Hacknet Server’s cache n times.

Returns true if it successfully upgrades the Server’s cache n times, or if it purchases some positive amount and the Server reaches its max cache level.

Returns false otherwise.

